<template>
  <v-container :class="{ 'pa-0': noPadding }">
    <v-form v-model="formValidationState">
      <slot />
    </v-form>
  </v-container>
</template>

<script>
export default {
  name: "GTab",
  props: {
    noPadding: {
      type: Boolean,
      default: false,
    },
    valid: Boolean,
  },
  data() {
    return {
      formValidationState: true,
    };
  },
  watch: {
    formValidationState(state) {
      this.$emit("update:valid", state);
    },
  },
  mounted() {
    this.$emit("update:valid", this.formValidationState);
  },
};
</script>
